#pragma once
#include <cstdint>
#include <string>
enum class DNSReplyCode { NoError };
struct DNSServer {
    void setErrorReplyCode(DNSReplyCode) {}
    void start(uint16_t, const char*, const std::string&) {}
    void processNextRequest() {}
    void stop() {}
};
